# Crow: crow::black_magic::const_str Class Reference

crow::black_magic::const_str Class Reference

A constant string implementation. More...

`#include <utility.h>`

## Public Member Functions

template<unsigned N>
constexpr | const_str (const char(&arr)[N])
constexpr char | operator[] (unsigned i) const
constexpr | operator const char * () const
constexpr const char * | begin () const
constexpr const char * | end () const
constexpr unsigned | size () const

## Detailed Description

A constant string implementation.

The documentation for this class was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/utility.h